<?php

namespace TechSoft\Laravel\Admin\Controller;

use TechSoft\Laravel\Admin\Support\AdminCheckController;
use TechSoft\Laravel\Data\DataUtil;
use TechSoft\Laravel\Data\SelectDialogHandle;
use TechSoft\Laravel\Data\UEditorHandle;

class DataController extends AdminCheckController
{
    public function selectDialog(SelectDialogHandle $selectDialogHandle, $category)
    {
        return $selectDialogHandle->executeForAdmin($category, DataUtil::getOSSOption());
    }

    public function ueditorHandle(UEditorHandle $UEditorHandle)
    {
        return $UEditorHandle->executeForAdmin();
    }
}
